## grml-btnet 0.04ubuntu1

=== Makefile ===
install_ = install
name = grml-btnet

etc = ${DESTDIR}/etc/
usr = ${DESTDIR}/usr
usrbin = $(usr)/bin
usrsbin = $(usr)/sbin
usrshare = $(usr)/share/$(name)
usrdoc = $(usr)/share/doc/$(name)
man8 = $(usr)/share/man/man8/

%.html : %.txt ;
	asciidoc -b xhtml11 $^

%.gz : %.txt ;
	asciidoc -d manpage -b docbook $^
	xsltproc /usr/share/xml/docbook/stylesheet/nwalsh/manpages/docbook.xsl `echo $^ |sed -e 's/.txt/.xml/'`
	gzip -f --best `echo $^ |sed -e 's/.txt//'`


all: doc

doc: doc_man doc_html


doc_html: $(name).8.html grml-btnets.8.html grml-btnetc.8.html

grml-btnet.8.html: grml-btnet.8.txt
grml-btnets.8.html: grml-btnets.8.txt
grml-btnetc.8.html: grml-btnetc.8.txt


doc_man: $(name).8.gz grml-btnets.8.gz grml-btnetc.8.gz

grml-btnet.8.gz: grml-btnet.8.txt
grml-btnets.8.gz: grml-btnets.8.txt
grml-btnetc.8.gz: grml-btnetc.8.txt


install: all
	$(install_) -d -m 755 $(usrdoc)
	$(install_) -m 644 TODO $(usrdoc)
	$(install_) -m 644 $(name).8.html $(usrdoc)
	$(install_) -m 644 grml-btnets.8.html $(usrdoc)
	$(install_) -m 644 grml-btnetc.8.html $(usrdoc)

	$(install_) -d -m 755 $(man8)
	$(install_) -m 644 $(name).8.gz $(man8)
	$(install_) -m 644 grml-btnets.8.gz $(man8)
	$(install_) -m 644 grml-btnetc.8.gz $(man8)

	$(install_) -m 755 -d $(usrsbin)
	$(install_) -m 755 $(name) $(usrsbin)
	$(install_) -m 755 grml-btnets $(usrsbin)
	$(install_) -m 755 grml-btnetc $(usrsbin)

	$(install_) -m 755 -d $(usrshare)
	cp -r templates $(usrshare)

	$(install_) -m 755 -d $(DESTDIR)/var/lib/$(name)


clean:
	rm -rf $(name).8.html $(name).8.xml $(name).8 $(name).8.gz
	rm -rf grml-btnets.8.html grml-btnets.8.xml grml-btnets.8 grml-btnets.8.gz
	rm -rf grml-btnetc.8.html grml-btnetc.8.xml grml-btnetc.8 grml-btnetc.8.gz

## grml-btnet 0.04

=== debian/changelog ===
grml-btnet (0.04) unstable; urgency=low

  * typo corrections 

 -- Michael Gebetsroither <michael.geb@gmx.at>  Fri,  7 Apr 2006 01:40:40 +0200

grml-btnet (0.03) unstable; urgency=low

  * fixes for bash (return only from functions or sourced scripts) 

 -- Michael Gebetsroither <michael.geb@gmx.at>  Mon, 27 Mar 2006 10:36:41 +0200

grml-btnet (0.02) unstable; urgency=low

  * changed init script bluez-utils to bluetooth
  * manpage fix in grml-btnet 

 -- Michael Gebetsroither <michael.geb@gmx.at>  Sat, 21 Jan 2006 00:54:44 +0100

grml-btnet (0.01) unstable; urgency=low

  * Initial Release.

 -- Michael Gebetsroither <michael.geb@gmx.at>  Wed, 20 Dec 2005 21:39:23 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: grml-btnet
Section: grml
Priority: optional
Maintainer: Michael Gebetsroither <gebi@grml.org>
Build-Depends: debhelper (>= 4.0.0), xsltproc, docbook-xsl, asciidoc
Standards-Version: 3.6.2

Package: grml-btnet
Architecture: all
Depends: grml-shlib (>=1.02.06), dhcp3-server, ipcalc, bluez-utils, bridge-utils, iptables
Description: Programs to quickly build a bluetooth network
 Just start grml-btnet and choose what you want to do.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/grml-terminalserver.sgml > grml-terminalserver.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	#$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install DESTDIR=debian/grml-btnet

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
#	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
#	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## grml-btnet 0.04ubuntu1

=== debian/changelog ===
grml-btnet (0.04ubuntu1) oneiric; urgency=low

  * debian/control: change section from 'grml' (non-existent) to 'admin', so 
    the package does not get rejected by Launchpad. (LP: #837024)
  * .hg*: remove from native package.
  * debian/rules: use dh7.
  * debian/control: add ${misc:Depends}, bump debhelper version.
  * debian/compat: bump compat from deprecated '4'.
  * debian/copyright: updated FSF address.i

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Mon, 29 Aug 2011 18:00:40 +0200

=== debian/control ===
Source: grml-btnet
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Michael Gebetsroither <gebi@grml.org>
Build-Depends: debhelper (>= 4.0.0), xsltproc, docbook-xsl, asciidoc
Standards-Version: 3.9.2

Package: grml-btnet
Architecture: all
Depends: grml-shlib (>=1.02.06), dhcp3-server, ipcalc, bluez-utils, bridge-utils, iptables, ${misc:Depends}
Description: Programs to quickly build a bluetooth network
 Just start grml-btnet and choose what you want to do.

## grml-btnet 0.04ubuntu2

=== debian/changelog ===
grml-btnet (0.04ubuntu2) quantal; urgency=low

  * Switch Depends: to isc-dhcp-server following dhcp3-server to
    isc-dhcp-server transition.

 -- Andy Whitcroft <apw@ubuntu.com>  Tue, 31 Jul 2012 14:41:20 +0100

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,6 @@
 
 Package: grml-btnet
 Architecture: all
-Depends: grml-shlib (>=1.02.06), dhcp3-server, ipcalc, bluez-utils, bridge-utils, iptables, ${misc:Depends}
+Depends: grml-shlib (>=1.02.06), isc-dhcp-server, ipcalc, bluez-utils, bridge-utils, iptables, ${misc:Depends}
 Description: Programs to quickly build a bluetooth network
  Just start grml-btnet and choose what you want to do.

## grml-btnet 0.04ubuntu3

=== debian/changelog ===
grml-btnet (0.04ubuntu3) wily; urgency=medium

  * Depends on bluez rather than on the transitional bluez-utils

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 13 Aug 2015 18:20:42 +0200

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,6 @@
 
 Package: grml-btnet
 Architecture: all
-Depends: grml-shlib (>=1.02.06), isc-dhcp-server, ipcalc, bluez-utils, bridge-utils, iptables, ${misc:Depends}
+Depends: grml-shlib (>=1.02.06), isc-dhcp-server, ipcalc, bluez, bridge-utils, iptables, ${misc:Depends}
 Description: Programs to quickly build a bluetooth network
  Just start grml-btnet and choose what you want to do.
